Subject: [os2genau_digest] No. 643
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 21 Jun 2003 00:02:00 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 20 June 2003
 Number  643
**************************************************

Subjects for today
 
1   Changing .CLASSINFO ? : Bruce Rossi" <brossi at melbpc dot org dot au>
2  Re:  Changing .CLASSINFO ? : Mike O'Connor" <mikeoc at dodo dot com dot au>

**= Email   1 ==========================**

Date:  Fri, 20 Jun 2003 01:07:14 -1000
From:  "Bruce Rossi" <brossi at melbpc dot org dot au>
Subject:   Changing .CLASSINFO ?

Hello People,

Can anyone tell me of a way to change the CLASS of an object, preferably with Rexx?

With a new HD and the original installs copied across, of course their class is lost.

I can re-register the class but how to change the object's class to this ?

For example, on objects that have changed their Type eg. make the Type of a data file 
Command File & extn to CMD, go to Properties->Become->select WPCommandFile->Change 
and it's executable. Can this be done with Rexx to change the SEA .CLASSINFO ? With a 
folder ?

Thanks in advance

Cheers,

  ,-._|\    Bruce Rossi                 OS/2 Warp 4 for stability, versatility and depth. A True Operating System.
 /  Oz  \ brossi at melbpc dot org dot au The Best -> Rexx, Java, File System, User Interface, MSDOS, Windows 3.1
 \_,--.x/ Melbourne, Australia     Multitasking, Shadows (Pointers to Objects), Associations for Applications.
       v                                        I can work on Solving Real-World Problems, not Operating System Crashes

There are 47 Processes with 165 Threads. This machine's uptime is 0d 15h 24m 54s 423ms.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 20 Jun 2003 06:01:00 +1000
From:  "Mike O'Connor" <mikeoc at dodo dot com dot au>
Subject:  Re:  Changing .CLASSINFO ?

Bruce Rossi wrote:

>Hello People,
>
>Can anyone tell me of a way to change the CLASS of an object, preferably with Rexx?
>
>With a new HD and the original installs copied across, of course their class is lost.
>
>I can re-register the class but how to change the object's class to this ?
>
>For example, on objects that have changed their Type eg. make the Type of a data file 
>Command File & extn to CMD, go to Properties->Become->select WPCommandFile->Change 
>and it's executable. Can this be done with Rexx to change the SEA .CLASSINFO ? With a 
>folder ?
>
>Thanks in advance
>
>Cheers,
>  
>
Hi Bruce,
I don't quite follow what you're saying.  When you say "original 
installs copied across", why would they ever  lose their class?  Are you 
cloning a system to a new drive?  Did you try zipping the entire drive 
and unzipping it on the new HD?
Regards,
Mike

----------------------------------------------------------------------------------